import request from '@/utils/request'

// 查询接口列表
export function listApitype(query) {
  return request({
    url: '/market/apitype/list',
    method: 'get',
    params: query
  })
}

// 查询接口详细
export function getApitype(sysId) {
  return request({
    url: '/market/apitype/' + sysId,
    method: 'get'
  })
}

// 新增接口
export function addApitype(data) {
  return request({
    url: '/market/apitype',
    method: 'post',
    data: data
  })
}

// 修改接口
export function updateApitype(data) {
  return request({
    url: '/market/apitype',
    method: 'put',
    data: data
  })
}

// 删除接口
export function delApitype(sysId) {
  return request({
    url: '/market/apitype/' + sysId,
    method: 'delete'
  })
}
